Subject: bug#20303: closed (Re: bug#20303: 24.3; cannot build latest git pull)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 11 Apr 2015 15:10:04 +0000

Your bug report

#20303: 24.3; cannot build latest git pull

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20303: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20303
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20303: 24.3; cannot build latest git pull
From: Dmitry Gutov <[email-masked]>
To: jpff <[email-masked]>
Cc: [email-masked]
Date: Sat, 11 Apr 2015 18:09:05 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On 04/11/2015 06:05 PM, jpff wrote:
> Apologies -- I had tried make bootstrap but that did not seem to work --
> I must have mistyped.  Semms to be uiding OK now

Great. Note the email address I'm CC'ing in this email now, to close it.

Subject: 24.3; cannot build latest git pull
From: John ffitch <[email-masked]>
To: [email-masked]
Date: Sat, 11 Apr 2015 14:45:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

***NOT on this emacs***

As ever I dd a git-pull; make and it barfed.  Tried make clean; make
and it is the samr
make[2]: Entering directory `/home/jpff/GNU/emacs/lisp'
  GEN      loaddefs.el
Directories: . ./international ./erc ./net ./url ./mh-e ./progmodes ./textmodes ./calendar ./vc ./emulation ./play ./eshell ./cedet ./cedet/semantic ./cedet/semantic/symref ./cedet/semantic/analyze ./cedet/semantic/bovine ./cedet/semantic/wisent ./cedet/semantic/decorate ./cedet/ede ./cedet/srecode ./calc ./emacs-lisp ./mail ./gnus ./leim ./leim/ja-dic ./leim/quail ./org ./language ./nxml
Source file `/home/jpff/GNU/emacs/lisp/emacs-lisp/lisp-mnt.el' newer than byte-compiled file
Source file `/home/jpff/GNU/emacs/lisp/vc/diff-mode.el' newer than byte-compiled file
Making generated-autoload-file local to  *autoload-file* while let-bound!
Source file `/home/jpff/GNU/emacs/lisp/emacs-lisp/pcase.el' newer than byte-compiled file
Symbol's function definition is void: vc-responsible-backend
make[2]: *** [loaddefs.el] Error 255
make[2]: Leaving directory `/home/jpff/GNU/emacs/lisp'
make[1]: *** [../lisp/loaddefs.el] Error 2
make[1]: Leaving directory `/home/jpff/GNU/emacs/src'
make: *** [src] Error 2

How can I restore?  
64bit OpenSuSE13.1

In GNU Emacs 24.3.1 (x86_64-suse-linux-gnu, GTK+ Version 3.10.9)
 of 2014-11-12 on cloud104
Windowing system distributor `The X.Org Foundation', version 11.0.11403901
System Description:     openSUSE 13.1 (Bottle) (x86_64)

Configured using:
 `configure '--with-pop' '--without-hesiod' '--with-kerberos'
 '--with-kerberos5' '--with-xim' '--with-wide-int'
 '--enable-autodepend' '--prefix=/usr' '--mandir=/usr/share/man'
 '--infodir=/usr/share/info' '--datadir=/usr/share'
 '--localstatedir=/var' '--sharedstatedir=/var/lib'
 '--libexecdir=/usr/lib' '--with-x' '--with-sound' '--with-xpm'
 '--with-jpeg' '--with-tiff' '--with-gif' '--with-png' '--with-rsvg'
 '--with-dbus' '--without-gpm' '--with-x-toolkit=gtk3'
 '--x-includes=/usr/include' '--x-libraries=/usr/lib64' '--with-xft'
 '--with-libotf' '--with-m17n-flt' '--build=x86_64-suse-linux'
 'build_alias=x86_64-suse-linux' 'CFLAGS=-fmessage-length=0
 -grecord-gcc-switches -fstack-protector -O2 -Wall -D_FORTIFY_SOURCE=2
 -funwind-tables -fasynchronous-unwind-tables -g -D_GNU_SOURCE
 -std=gnu89 -pipe -Wno-pointer-sign -Wno-unused-variable
 -Wno-unused-label -Wno-unprototyped-calls -fno-optimize-sibling-calls
 -DSYSTEM_PURESIZE_EXTRA=55000 -DSITELOAD_PURESIZE_EXTRA=10000 '
 'LDFLAGS=-Wl,-O2 -Wl,--hash-size=65521''

Important settings:
  value of $LC_NUMERIC: POSIX
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  auto-image-file-mode: t
  display-time-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x m a i l <return> C-x k <return> M-x e m a c s - 
r e <tab> <backspace> <backspace> b <tab> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> b u g <tab> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> r e 
p o r t <tab> <return>

Recent messages:
Loading /home/jpff/mail-filter.elc...done
Loading logger...done
Loading /home/jpff/myemacs.elc...done
For information about GNU Emacs and the GNU system, type C-h C-a.
uncompressing mailcrypt.el.gz...done
Loading mail-extr...done
Parsing /home/jpff/.mailrc... done
You can run the command `mail' with M-m
Parsing /home/jpff/.mailrc... done
delete-backward-char: Text is read-only [2 times]

Load-path shadows:
/home/jpff/GNU/local-lisp/a2ps hides /usr/share/emacs/site-lisp/a2ps
/home/jpff/GNU/local-lisp/gnuplot-gui hides /usr/share/emacs/site-lisp/gnuplot-gui
/home/jpff/GNU/local-lisp/site-start hides /usr/share/emacs/site-lisp/site-start
/home/jpff/GNU/local-lisp/a2ps-print hides /usr/share/emacs/site-lisp/a2ps-print
/home/jpff/GNU/local-lisp/rmime hides /usr/share/emacs/site-lisp/rmime
/home/jpff/GNU/local-lisp/suse-start-po-mode hides /usr/share/emacs/site-lisp/suse-start-po-mode
/home/jpff/GNU/local-lisp/rmailgen hides /usr/share/emacs/site-lisp/rmailgen
/home/jpff/GNU/local-lisp/po-mode hides /usr/share/emacs/site-lisp/po-mode
/home/jpff/GNU/local-lisp/po-compat hides /usr/share/emacs/site-lisp/po-compat
/home/jpff/GNU/local-lisp/gnuplot hides /usr/share/emacs/site-lisp/gnuplot
/home/jpff/GNU/local-lisp/scroll-lock hides /usr/share/emacs/24.3/lisp/scroll-lock
/home/jpff/GNU/local-lisp/t-mouse hides /usr/share/emacs/24.3/lisp/t-mouse
/home/jpff/GNU/local-lisp/ruler-mode hides /usr/share/emacs/24.3/lisp/ruler-mode
/home/jpff/GNU/local-lisp/emerge hides /usr/share/emacs/24.3/lisp/vc/emerge
/home/jpff/GNU/local-lisp/url-auth hides /usr/share/emacs/24.3/lisp/url/url-auth
/home/jpff/GNU/local-lisp/url-ns hides /usr/share/emacs/24.3/lisp/url/url-ns
/home/jpff/GNU/local-lisp/url-news hides /usr/share/emacs/24.3/lisp/url/url-news
/home/jpff/GNU/local-lisp/url-parse hides /usr/share/emacs/24.3/lisp/url/url-parse
/home/jpff/GNU/local-lisp/url-cache hides /usr/share/emacs/24.3/lisp/url/url-cache
/home/jpff/GNU/local-lisp/url-file hides /usr/share/emacs/24.3/lisp/url/url-file
/home/jpff/GNU/local-lisp/url-cookie hides /usr/share/emacs/24.3/lisp/url/url-cookie
/home/jpff/GNU/local-lisp/url-misc hides /usr/share/emacs/24.3/lisp/url/url-misc
/home/jpff/GNU/local-lisp/url-ldap hides /usr/share/emacs/24.3/lisp/url/url-ldap
/home/jpff/GNU/local-lisp/url hides /usr/share/emacs/24.3/lisp/url/url
/home/jpff/GNU/local-lisp/url-gw hides /usr/share/emacs/24.3/lisp/url/url-gw
/home/jpff/GNU/local-lisp/url-http hides /usr/share/emacs/24.3/lisp/url/url-http
/home/jpff/GNU/local-lisp/url-nfs hides /usr/share/emacs/24.3/lisp/url/url-nfs
/home/jpff/GNU/local-lisp/url-irc hides /usr/share/emacs/24.3/lisp/url/url-irc
/home/jpff/GNU/local-lisp/url-vars hides /usr/share/emacs/24.3/lisp/url/url-vars
/home/jpff/GNU/local-lisp/url-cid hides /usr/share/emacs/24.3/lisp/url/url-cid
/home/jpff/GNU/local-lisp/remember hides /usr/share/emacs/24.3/lisp/textmodes/remember
/home/jpff/GNU/local-lisp/cc-guess hides /usr/share/emacs/24.3/lisp/progmodes/cc-guess
/home/jpff/GNU/local-lisp/socks hides /usr/share/emacs/24.3/lisp/net/socks
/home/jpff/GNU/local-lisp/feedmail hides /usr/share/emacs/24.3/lisp/mail/feedmail
/home/jpff/GNU/local-lisp/spam-stat hides /usr/share/emacs/24.3/lisp/gnus/spam-stat

Features:
(shadow emacsbug message format-spec rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 gmm-utils mailheader mailabbrev
mailalias mailcrypt mail-extr comint ansi-color ring jka-compr
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
eldoc image-file logger cal-julian uniquify advice help-fns cl-lib
advice-preload view mule-util cal-china cal-bahai cal-islam cal-hebrew
lunar solar cal-dst appt diary-lib diary-loaddefs holidays
hol-loaddefs cal-menu easymenu calendar cal-loaddefs time paren ispell
time-date delsel lpr disp-table tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar
gtk x-toolkit x multi-tty emacs)

==John ffitch
There is not the vaguest truth in this.
  I have not even speculated on it with the Dean/VC/etc,
  so I don't know where it comes from.